/*=======================================================*/
/*  DVSHADOW.C                                           */
/*     functions dealing with shadow buffer              */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"

/*======================================================*/
/* DVshadow_start  start shadowing video buffer, return */
/*                 info about shadow buffer             */
/*   Ralf Brown 6/23/88                                 */
/*======================================================*/

void far *DVshadow_start(int *rows,int *cols)
{
   _AX = 0x2B02 ;
   _CX = 0x4445 ;
   _DX = 0x5351 ;
   geninterrupt(0x21) ;
   *rows = _BH ;
   *cols = _BL ;
   return MK_FP(_DX,0) ;
}

/*======================================================*/
/* DVshadow_stop  stop shadowing vidoe buffer           */
/*   Ralf Brown 6/23/88                                 */
/*======================================================*/

void DVshadow_stop(void)
{
   _AX = 0x2B05 ;
   _CX = 0x4445 ;
   _DX = 0x5351 ;
   geninterrupt(0x21) ;
}

/* End of DVSHADOW.C */
